// copyright katsuhiko terawaki
// Include Scheduler since we want to manage multiple tasks.
#include <avr/pgmspace.h> // 必要です


#include "SchedulerARMAVR.h"
#include "SchedulerInitStack.h"
#include "mydefine.h"
#include "monitor.h"
#include "etcstr.h"

static void MainTask();
static void SubTask();


void setup() {
    fillStack();     //★★出荷時、コメントにすること

    Serial.begin(115200);

    Scheduler.startLoop(MainTask);
    Scheduler.startLoop(SubTask);
}

// Task no.1: Monitor
void loop() {
    Monitor() ;
}
// *******************
// メインタスク
// *******************
static void MainTask()
{
    LOOP() {
        Scheduler.delay( 2000 ) ;
        printFln( "MainTask" ) ;
    }
}
// *******************
// サブタスク
// *******************
static void SubTask()
{
    LOOP() {
        Scheduler.delay( 3000 ) ;
        printFln( "SubTask" ) ;
    }
}
